uux(1)

NOM
uux – Exécution de commande à distance à travers UUCP

SYNOPSIS
uux [ options ] commande

DESCRIPTION
La commande uux sert à exécuter une commande sur un système distant ou à exécuter une commande sur le système local en utilisant des fichiers sur des systèmes distants. La commande n’est pas exécutée immédiatement ; la requête est mise en file d’attente jusqu’à ce que le démon uucico(8) appelle le système et l’exécute. Le démon est démarré automatiquement à moins qu’une des options -r ou --nouucico ne soit indiquée. L’exécution réelle de la commande est réalisée par le démon uuxqt(8). Les arguments de fichier peuvent être collectés à partir de systèmes distants vers le système d’exécution, tout comme de l’entrée standard. La sortie standard peut être dirigée vers un fichier sur un système distant. Le nom de commande peut être précédé par un nom de système suivi par un point d’exclamation si elle doit être exécutée sur un système distant. Un nom de système vide est considéré comme le nom du système local. Chaque argument contenant un point d’exclamation est traité comme un nom de fichier. Le système contenant le fichier est avant le point d’exclamation et le chemin sur ce système suit ce point d’exclamation. Un nom vide de système est considéré comme celui du système local ; cela doit être utilisé pour transférer un fichier vers une commande exécutée sur un système distant. Si le chemin n’est pas absolu, il sera suffixé au répertoire de travail actuel sur le système local ; le résultat peut ne rien signifier sur le système distant. Un chemin peut débuter par un ~/, auquel cas il est relatif au répertoire UUCP public (habituellement /usr/spool/uucppublic ou /var/spool/uucppublic) sur le système approprié. Un chemin peut débuté par ~nom/, auquel cas il est relatif au répertoire personnel de l’utilisateur indiqué sur le système approprié. L’entrée et la sortie standard peuvent être redirigées comme d’habitude ; les chemins peuvent contenir des points d’exclamation pour indiquer qu’ils sont sur des systèmes distants. Veuillez noter que les caractères de redirection doivent être guillemetés de façon à être traités par uux plutôt qu’être interprétés par l’interpréteur de commandes. La redirection d’ajout (>>) ne fonctionne pas. Tous les fichiers indiqués sont rassemblés dans un seul répertoire avant le début de l’exécution de la commande. Cela signifie que chaque fichier doit avoir un nom de base distinct. Par exemple,
uux 'sys1!diff sys2!~utilisateur1/toto sys3!~utilisateur2/toto >!toto.diff'
échouera parce les deux fichiers seraient copiés sur sys1 et stockés sous le nom toto Les arguments peuvent être mis entre parenthèses pour éviter l’interprétation des points d’exclamation. C’est utile lors de l’exécution de la commande uucp(1) sur un système distant. Une requête d’exécution d’une commande vide (par exemple, uux sys!) crée un fichier poll pour le système indiqué. Le code de retour d’uux est un de ceux trouvés dans le fichier d’entête sysexits.h. En particulier, EX_OK (0) indique un succès et EX_TEMPFAIL (75) indique un échec temporaire.

OPTIONS
Les options suivantes peuvent être fournies à uux.

-, -p, --stdin
    Lire l’entrée standard et l’utiliser comme entrée standard pour la commande à exécuter.

-c, --nocopy
    Ne pas copier les fichiers locaux dans le répertoire de file d’attente. C’est le comportement par défaut. S’ils sont déplacés avant d’être traités par le démon uucico(8), la copie échouera. Les fichiers doivent être lisibles par le démon uucico(8) ainsi que par l’appelant de uux.

-C, --copy
    Copier les fichiers locaux dans le répertoire de file d’attente.

-l, --link
    Établir une liaison des fichiers locaux dans le répertoire de file d’attente. Si un fichier ne peut être lié parce qu’il est sur un périphérique différent, il sera copié, à moins qu’une des options -c ou --nocopy ne soit indiquée (en d’autres mots, utiliser l’option --link modifie le comportement par défaut de --nocopy à --copy). Si les fichiers sont modifiés avant d’être traités par le démon uucico(8), les versions modifiées seront utilisées. Les fichiers doivent être lisibles par le démon uucico(8) ainsi que par l’appelant de uux.

-g niveau, --grade niveau
    Définir le niveau de la commande de transfert de fichier. Les tâches de plus haut niveau sont exécutées en premier. Les niveaux vont de 0 à 9, A à Z, a à z du plus haut vers le plus bas.

-n, --notification=no
    Ne pas envoyer de courriel sur l’état de la tâche, même si elle échoue.

-z, --notification=error
    Envoyer un courriel à propos de l’état de la tâche si une erreur se produit. Pour plusieurs démons uuxqt(8), y compris celui de Taylor UUCP, c’est le comportement par défaut ; pour ceux-ci l’option --notification=error n’aura aucun effet. Cependant, certains démons uuxqt envoient un courriel si la tâche réussit à moins que l’option --notification=error ne soit utilisée, tandis que d’autres démons uuxqt n’envoient pas de courriel si la tâche échoue à moins que l’option --notification=error ne soit utilisée.

-r, --nouucico
    Ne pas démarrer le démon uucico(8) immédiatement ; simplement mettre en attente la requête d’exécution pour un traitement ultérieur.

-j, --jobid
    Afficher les identifiants de tâche sur la sortie standard. Un identifiant de tâche est créé pour chaque requête d’opération nécessaire pour la réaliser. Ces copies de fichier peuvent être annulées en passant l’identifiant à l’option --kill de uustat(1), qui fera que l’exécution complète ne pourra être réalisée.

-a addresse, --requestor addresse
    Rapporter l’état de la tâche à l’adresse de courriel indiquée.

-x type, --debug type
    Activer des types de débogage particuliers. Les types suivants sont reconnus : abnormal, chat, handshake, uucp-proto, proto, port, config, spooldir, execute, incoming, outgoing. Seuls abnormal, config, spooldir et execute sont significatifs pour uux. Plusieurs types peuvent être indiqués, séparés par des virgules, et l’option --debug peut apparaitre plusieurs fois. Un nombre peut aussi être indiqué qui activera autant de types à partir de la liste précédente. Par exemple, --debug 2 sera équivalent à --debug abnormal,chat.

-I fichier, --config fichier
    Définir le fichier de configuration à utiliser. Cette option peut ne pas être disponible selon la manière dont uux a été compilé.

-v, --version
    Afficher les informations de version et quitter.

--help
    Afficher un message d'aide puis quitter.

EXEMPLES
uux -z - sys1!rmail utilisateur1
Exécuter la commande « rmail utilisateur1 » sur sys1 en la passant à l’entrée standard quelque soit ce qui est indiqué à uux comme entrée standard. En cas d’erreur, envoyer un message en utilisant mail(1).
uux 'diff -c sys1!~utilisateur1/fichier1 sys2!~utilisateur2/fichier2 >!fichier.diff'
Récupérer les deux fichiers indiqués du système sys1 et du système sys2, et exécuter diff(1) en dirigeant le résultat dans fichier.diff du répertoire en cours. Le démon uuxqt(8) doit pouvoir écrire dans ce répertoire.
uux 'sys1!uucp ~utilisateur1/fichier1 (sys2!~utilisateur2/fichier2)'
Exécuter uucp(1) sur le système sys1 pour copier fichier1 (du système sys1) dans le système sys2. Cet exemple illustre l’utilisation des parenthèses pour la citation.

RESTRICTIONS
Le système distant peut ne pas autoriser l’exécution de certaines commandes. De nombreux systèmes distants ne permettent que l’exécution de rmail(1) et rnews(1). Quelques options dépendent des capacités du démon uuxqt(8) sur le système distant.

VOIR AUSSI
mail(1), uustat(1), uucp(1), uucico(8), uuxqt(8)

BOGUES
Des fichiers peuvent ne pas être référencés à travers plusieurs systèmes. Trop d’identifiants de tâche sont produits par l’option --jobid, et il n’existe pas de bonne manière d’annuler une exécution locale requérant des fichiers distants.

AUTEUR
Ian Lance Taylor (ian@airs.com)

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.